//Game.h -- this determines the implementation of the game.

#ifndef TRENCH_GAME_H
#define TRENCH_GAME_H

#include "Physics.h"
#include "GameView.h"

class GameHandler
{
  public:
    GameHandler();
    ~GameHandler();
    
    void					pulse(BView *drawview, BWindow *ender);
    void					setupgame();
    void					startnewgame();
    void					KeyPress(char key);
    
    void                    explode(BView *drawview, BPoint location, int radius = 20, int forks = 10);
    void					checkalive(GameBitmap *grid);
    void					doexplosions(BView *drawview);

    player					person[4];
  private:
    int						players;		//how many people are left.
    
    int						dummy;
    
};

#endif