//GameView.cpp -- this is the implementation of any GameView functions.

#include "GameView.h"
#include "Constants.h"

GameView::GameView(BRect bounds)
  :BView(bounds, "Main View", B_FOLLOW_NONE, B_WILL_DRAW | B_PULSE_NEEDED)
{
};

void GameView::Pulse()
{
  Window()->PostMessage(MSG_REFRESHSCREEN);
};

GameBitmap::GameBitmap(BRect bounds, color_space space,
    bool acceptsViews = false, bool needsContiguousMemory = false)
  :BBitmap(bounds, space, acceptsViews, needsContiguousMemory)
{
};

uint8 GameBitmap::colorat(BPoint location)
{
    return *((uint8 *)Bits() + (int)location.y * BytesPerRow() + (int)location.x);
};