//NewSetWindow.h -- this is the definition of the NewSet window

#ifndef TRENCH_NEWSETWINDOW_H
#define TRENCH_NEWSETWINDOW_H

//NewSetWindow message definitions

#define MSG_LTCLICK 

#include <InterfaceKit.h>

class ClickKeySet:public BView
{
  public:
    				ClickKeySet(BRect bounds, const char *name);
    virtual void	MouseDown (BPoint point);
    virtual void	KeyDown (const char* bytes, int32 numbytes);
    virtual void	Draw(BRect updaterect);
    void			LoseFocus();
    				
    char			store;		//this is the character.
    
  private:
    bool			highlighted;
};

class NewSetWindow:public BWindow
{
  public:
    				NewSetWindow();
    virtual void	MessageReceived(BMessage *message);
    void			Import();
    void			Export();
    
    BStringView		*flbl_Name;
    BStringView		*flbl_Human;
    BStringView		*flbl_Left;
    BStringView		*flbl_Right;
    BStringView		*flbl_Mine;
    BStringView		*flbl_Jump;
    
    BTextControl	*ftxt_Names[4];
    BCheckBox		*fchk_Human[4];
    ClickKeySet		*fpic_KeyLT[4];
    ClickKeySet		*fpic_KeyRT[4];
    ClickKeySet		*fpic_KeyMN[4];
    ClickKeySet		*fpic_KeyJP[4];
    
    BButton			*fcmd_Done;
};

#endif