//Constants.h -- these are important constants.

#ifndef TRENCH_CONSTANTS_H
#define TRENCH_CONSTANTS_H

#define UNDERLAP 0
#define UP		1
#define DN		3
#define LT		2
#define RT		4
#define OVERLAP 5
#define DEAD	7
#define FIELD_LIMIT 20
#define FIELD_WIDTH 560
#define FIELD_HEIGHT 373

#define CORNER_LEFT 20
#define CORNER_TOP 30
#define WINDOW_WIDTH 600
#define WINDOW_HEIGHT 440
#define MENU_HEIGHT 18

#define REFRESH_RATE 1000
#define STOPPED_RATE 0

#define MSG_REFRESHSCREEN	'rfsc'
#define MSG_NEWGAME			'nwgm'
#define MSG_NEWSET			'nwst'
#define MSG_ENDGAME			'endg'
#define MSG_QUIT			'quit'
#define MSG_SHOWSCORES		'shws'
#define MSG_ARTILLERY0		'art0'
#define MSG_ARTILLERY1		'art1'
#define MSG_ARTILLERY2		'art2'
#define MSG_SPACEWARP0		'spw0'
#define MSG_SPACEWARP1		'spw1'
#define MSG_NONOMAD			'nom0'
#define MSG_NORMALNOMAD		'nom1'
#define MSG_BOMBERNOMAD		'nom2'
#define MSG_WOOLYNOMAD		'nom3'
#define MSG_TRONMODE		'tron'
#define MSG_HELPME			'help'
#define MSG_STORY			'stry'
#define MSG_ABOUT			'abbt'

//these are instructions to be passed to be_app.
#define MSG_IMPORT			'impt'

#endif