#ifndef TRENCH_GAMEWINDOW_H
#define TRENCH_GAMEWINDOW_H

#include <InterfaceKit.h>			//provides the BWindow API calls
#include <AppKit.h>					//allows for the window to destroy the
									//program when closed.
#include "GameView.h"
#include "NewSetWindow.h"

class GameWindow : public BWindow
{
  public:
    					GameWindow(BRect bounds);
    					~GameWindow();
    
    //overloaded BWindow member functions
    virtual bool		QuitRequested();	//makes sure the program is quit.
    virtual void		MessageReceived(BMessage *message);
    virtual void		WindowActivated(bool active);

	//additional members
	
	GameView			*fpic_Main;
	BView				*fpic_Draw;
	GameBitmap			*fbmp_Game;
	BMenuBar			*fmbr_Menu;
	BMenu				*fmnu_Game;
	BMenu				*fmnu_Opts;
	BMenu				*fmnu_Help;
};

#endif